> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/es/knowledge-base/troubleshooting-articles/integrated-security-issues-with-sql-server.md).

# Problemas de seguridad integrada con SQL Server

Diagnostique problemas de seguridad integrada en un espacio de trabajo de SQL Server en Remote Desktop Manager revisando los registros y la configuración de contención de la base de datos.

Dado que los problemas pueden originarse en múltiples fuentes, al configurar la seguridad integrada en un espacio de trabajo de SQL Server, hemos detallado un par de pasos para ayudar a diagnosticar el origen.

### Pasos

#### Obtener los detalles del registro

1. En Remote Desktop Manager, vaya a ***Ayuda – Registros de la aplicación – Informe (pestaña)***.
2. Haga clic en ***Eliminar todo***.
3. En ***Archivo – Configuración – Avanzado***:
4. Suba el ***Nivel de depuración*** a 1.
5. Desmarque ***Desactivar seguimiento de pila***.
6. Haga clic en ***OK***.
7. Reproduzca el problema.
8. Una vez reproducido el problema, vaya a ***Ayuda – Registros de la aplicación – Informe (pestaña)***.
9. Haga clic en ***Enviar al soporte***.
10. Si ya tiene un ticket en curso con nosotros, especifique el número de ticket en el ***Asunto***.

#### Validar si la base de datos está contenida

{% hint style="info" %}
Para obtener más información sobre las bases de datos contenidas, consulte [Contained database – SQL Server](https://docs.microsoft.com/en-us/sql/relational-databases/security/contained-database-users-making-your-database-portable?view=sql-server-ver15) de Microsoft.
{% endhint %}

Ejecute el siguiente script para averiguar si su base de datos está contenida. Asegúrese de reemplazar ***rdm-database-name*** por el nombre de su base de datos de Remote Desktop Manager.

`SELECT name, containment, containment_desc, compatibility_level FROM sys.databases WHERE name = 'rdm-database-name';`

#### Validar si el servidor SQL está unido al dominio

Si ejecuta las instrucciones manualmente en SSMS (SQL Server Management Studio), ¿qué resultado obtiene?


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/es/knowledge-base/troubleshooting-articles/integrated-security-issues-with-sql-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
